package org.king.common.exception;

import lombok.Getter;

/**
 * 微信公众号授权登录异常
 */
public class MpLoginException extends RuntimeException {
	private static final long serialVersionUID = 1L;

	@Getter
	private Integer errorCode;

	public MpLoginException(String message) {
		super(message);
	}

	public MpLoginException(String message, Integer errorCode) {
		super(message);
		this.errorCode = errorCode;
	}

	public MpLoginException(Throwable cause)
	{
		super(cause);
	}

	public MpLoginException(String message, Throwable cause)
	{
		super(message,cause);
	}

}
